Name:           qtoctave
Version:        0.10.1
Release:        %mkrel 3
Summary:        Frontend for Octave
Group:          Sciences/Mathematics
License:        GPLv2+
URL:            http://qtoctave.wordpress.com/
Source0:        https://forja.rediris.es/frs/download.php/744/qtoctave-%{version}.tar.gz
# Debian patches
Patch0:		qtoctave-add_missing_includes.patch
# remove octave-doc: octave comes already with it and qtoctave comes with fixed
# version of octave-doc (so not always the good one)
Patch6:		qtoctave-remove-octave-doc.patch
Patch8:     qtoctave-fix-utils-doc-path.patch
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:	octave
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel

%description
QtOctave is a frontend for Octave based on Qt4.

%prep
%setup -q -n %{name}-%{version}/
%patch0 -p0
%patch6 -p0
%patch8 -p0
# configure.h was previously removed in a ptch, the other parts o the patch are
# obsolet
%__rm %{_builddir}/%{name}-%{version}/qtoctave/src/configure.h

%{__perl} -pi -e 's/\r$//g' readme.txt

# Desktop file
%{__cat} > %{name}.desktop << EOF
[Desktop Entry]
Name=QtOctave
Comment=Frontend for Octave
Exec=qtoctave
Terminal=false
Icon=qtoctave
Type=Application
Categories=Education;Math;Science;
EOF

%build
%{cmake} -DCMAKE_SKIP_RPATH:STRING="ON"  
make

%install
%{__rm} -rf %{buildroot}
pushd build
%{makeinstall_std}
popd

%if 0
%{__chmod} 0755 %{buildroot}%{_datadir}/%{name}/menus/Analysis/Integrate.m \
                %{buildroot}%{_datadir}/%{name}/menus/Analysis/Integrate
%endif

%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{_bindir}/desktop-file-install --dir %{buildroot}%{_datadir}/applications %{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%post
%{update_desktop_database}
#%%update_icon_cache hicolor

%postun
%{clean_desktop_database}
#%%clean_icon_cache hicolor

%files
%defattr(0644,root,root,0755)
%doc LICENSE_GPL.txt leeme.txt readme.txt 
%attr(0755,root,root) %{_bindir}/qtoctave
%attr(0755,root,root) %{_bindir}/easy_plot
%attr(0755,root,root) %{_bindir}/qtjs
%attr(0755,root,root) %{_bindir}/qtoctave_pkg
%attr(0755,root,root) %{_bindir}/simplercs
%attr(0755,root,root) %{_bindir}/xmlwidget
%attr(0755,root,root) %{_bindir}/qtoctave-info-reader
%{_iconsdir}/hicolor/64x64/apps/qtoctave.png
%{_datadir}/applications/*%{name}.desktop
%defattr(-,root,root,0755)
%{_datadir}/%{name}




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.10.1-3.mga3
+ Revision: 380010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 grenoya <grenoya> 0.10.1-2.mga2
+ Revision: 210939
- fix mga bug #4533

* Mon Sep 19 2011 grenoya <grenoya> 0.10.1-1.mga2
+ Revision: 145510
- update sources to 0.10.1
- remove unused defines
- clean spec
- rediff still needed patches (#0 and #6)
- add new patch to prevent qtoctave to install wrong version of octave-doc (#8)
- remove no more needed patches (#1, #2, #3, #4, #5 and #7)

* Fri Apr 15 2011 grenoya <grenoya> 0.8.2-3.mga1
+ Revision: 85789
- imported package qtoctave

